# Uses of Class
java.text.ListFormat

Packages that use ListFormat
Package
Description
java.text
Provides classes and interfaces for handling text, dates, numbers, and messages in a manner independent of natural languages.

## Uses of ListFormat in java.text

Methods in java.text that return ListFormat
Modifier and Type
Method
Description
`static ListFormat`
ListFormat.`getInstance()`
Returns the ListFormat object for the default `FORMAT Locale`, `STANDARD` type, and `FULL` style.
`static ListFormat`
ListFormat.`getInstance(String[] patterns)`
Returns the ListFormat object for the specified patterns.
`static ListFormat`
ListFormat.`getInstance(Locale locale, ListFormat.Type type, ListFormat.Style style)`
Returns the ListFormat object for the specified `Locale`, `Type`, and `Style`.